
<?php
session_start();
require('fpdf.php');

$fp = fopen("log_gera_pdf.txt","a");
fputs($fp,date("[Y-m-d H:i:s]")." Iniciando impressao (CARTAO CLIENTE)\r\n");

include($_SERVER[DOCUMENT_ROOT].'/kernel/conecta.php');

fputs($fp,date("[Y-m-d H:i:s]")." chamou conecta\r\n");


$id_orpr = $_GET[id_orpr];

//VERIFICA SE TODOS OS CAMPOS FORAM PREENCHIDOS
if ($id_orpr == ''){
	echo 'Entre com o número da comanda!';
	exit;
}

define(PASTA_LOCAL,$_SERVER[DOCUMENT_ROOT].$CACTUX_CONF['path']);
//$arquivo_pdf = PASTA_LOCAL.'/impressao/conteudo_imprimir.pdf';

// VERIFICA O ID DO USUARIO QUE IMPRIMIU PARA MANTER A FILA DE IMPRESSAO
if( $_SESSION[user_nb_id] == '' )	$ID_USER = rand(1000,9999); else	$ID_USER = $_SESSION[user_nb_id];

$arquivo_pdf = PASTA_LOCAL.'/impressao/conteudo_imprimir_retornoCliente_'.$_GET[impressora].'_'.$ID_USER.'.pdf';



// INICIA A CRIAÇÃO DO PDF
$pdf = new FPDF("P","mm",array($CONFIGURA[LARGURA_IMPRESSAO],$CONFIGURA[ALTURA_IMPRESSAO]));
$pdf->SetMargins($CONFIGURA[MARGEM_ESQUERDA],$CONFIGURA[MARGEM_TOPO],$CONFIGURA[MARGEM_DIREITA]);
$pdf->AddPage();

$pdf->SetFont('arial','',8);


// LISTA OS ORPR ITENS DE PAGAMENTO
$sql_pagamento = selecionar('orpr_tx_retornoLojista,orpr_tx_retornoCliente,orpr_nb_id|orpr,produto,ordem','orpr_tx_status',"pagamento"," AND orpr_nb_id IN ($id_orpr) GROUP BY prod_nb_id ORDER BY orpr_nb_id DESC LIMIT 1");
fputs($fp,date("[Y-m-d H:i:s]")." passou 1 consulta\r\n");

$pag=0;
while( $a = carrega_array($sql_pagamento) ) {

	$height = (ceil(($pdf->GetStringWidth($a[orpr_tx_retornoCliente]) / 160)) );
	$pdf->MultiCell(0,$height,$a[orpr_tx_retornoCliente],0);

}


// GERA O ARQUIVO PDF
$pdf->Output($arquivo_pdf,'F');

fputs($fp,date("[Y-m-d H:i:s]")." finalizou a geracao do pdf\r\n");



fputs($fp,date("[Y-m-d H:i:s]")." chamou id_impressora()\r\n");
$id_impressora = id_impressora();


fputs($fp,date("[Y-m-d H:i:s]")." chamou bat_imprime($arquivo_pdf,$id_impressora)\r\n");
bat_imprime($arquivo_pdf,$id_impressora);


fputs($fp,date("[Y-m-d H:i:s]")." FIM\r\n");
fputs($fp,"\r\n");